export default class ResonatorAudioContext {
    private context;
    constructor();
    getContext(): AudioContext;
    createGain(): any;
    getOutputDestination(): AudioNode;
    createBufferSource(): AudioBufferSourceNode;
    decodeAudioData(data: ArrayBuffer): Promise<AudioBuffer>;
    createPanner(): any;
    createMediaElementSource(element: HTMLMediaElement): MediaElementAudioSourceNode;
}
